/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://eu-egee.org/partners/ for details on the copyright holders.
 * For license conditions see the license file or http://eu-egee.org/license.html
 *
 * glite-config-register.h
 *
 * Authors: Paolo Badino <paolo.badino@cern.ch>
 * Version info: $Id: glite-config-register.hxx,v 1.2 2004/11/02 10:52:44 badino Exp $
 * Release: $Name: glite-data-config-service_R_1_2_7 $
 *
 */
#ifndef GLITE_DATA_CONFIG_GLITE_CONF_REGISTER_HXX_
#define GLITE_DATA_CONFIG_GLITE_CONF_REGISTER_HXX_

/*
 * Forward Declaration
 */
namespace glite{
namespace config{
class ComponentConfiguration;
}
}

#ifdef __cplusplus
extern "C" {
#endif //__cplusplus

/**
 * Register a Static Component into the Glite Service Configuration
 * @param component [IN] the component to be registered statically
 * @return 0 if success, -1 if failed
 */
int glite_config_register(glite::config::ComponentConfiguration * component);
    
/**
 * Deregister a previously registered Static Component
 * @param component [IN] the component to be deregistered
 * @return 0 if success, -1 if failed
 */
int glite_config_deregister(glite::config::ComponentConfiguration * component);
    
#ifdef __cplusplus
}
#endif //__cplusplus

#endif //GLITE_DATA_CONFIG_GLITE_CONF_REGISTER_HXX_
